# easy-html-generator [![Build Status](https://travis-ci.org/creative-workflow/easy-html-generator.svg?branch=master)](https://travis-ci.org/creative-workflow/easy-html-generator) [![Code Climate](https://codeclimate.com/github/creative-workflow/easy-html-generator/badges/gpa.svg)](https://codeclimate.com/github/creative-workflow/easy-html-generator) [![Gem Version](https://badge.fury.io/rb/easy_html_generator.svg)](http://badge.fury.io/rb/easy_html_generator)

This gem is a powerful and easy to use web development tool that helps developing modern web sites in a comfortable and fast way by generating static html pages.

#### ehg utilizes:
* [CoffeScript](http://coffeescript.org/) a.k.a. Javascript
* [Sass](http://sass-lang.com/) a.k.a. Css
* [Haml](http://haml.info/) a.k.a. Html
* [ActionView](https://github.com/rails/rails/tree/master/actionview) for ruby haml templating comfort

#### ehg supports:
* [Bootstrap](http://getbootstrap.com/) for responsive and modern html layouts
* [HeadJS](http://headjs.com/) for performance optimized resource loading
* [Bower](http://bower.io/) for javascript dependency management
* [Grunt](http://gruntjs.com/) for javascript based task management
* analytics code injections for **visitor tracking**
* **minimizing** of coffee-, javascript-, sass-, css-, html-, haml-, png- and jpg files
* per **workspace shared** generator-, haml-helper-, static-, sass- and image files
* **inline** sass and coffee script in haml files, **inline_stylesheet_link_tag** and **inline_javascript_include_tag**
* **partitial templates** and **layout files** for haml

## Resources

> "[Getting started](https://github.com/creative-workflow/easy-html-generator/blob/master/docs/GETSTARTED.md)"

> "[Configuration](https://github.com/creative-workflow/easy-html-generator/blob/master/docs/CONFIGURATION.md)"

> "[Generators](https://github.com/creative-workflow/easy-html-generator/blob/master/docs/GENERATORS.md)"

 >"[Contributing](https://github.com/creative-workflow/easy-html-generator/blob/master/docs/CONTRIBUTING.md)"


## Changes

#### Version 1.0.6
  * locals for partials
  * asset versions for images, scripts and styles
  * content_for haml implementation
  * rake task clean added, cleans dist path `ehg --clean`
  * rake task generate cleans now dist path
  * minimize generators now adding prefix to file extension only
  * fix default layout fallback
  * add description for haml templating (docs/HAMLTEMPLATING.md)

#### Version 1.0.5
  * refactor Generator::* and clean up code
  * implement Generator::Service::Sitemap
  * add repetitive feature to every generator
  * add generic support for analytic codes, not only for google
  * implement src:// and dest:// path expanding for all config values, streamline config names
  * streamline project.yml parameter names
  * you have to adjust your project.yml by adding path shortcuts to all your generators `src://` and `dest://` (see README for more path shortcuts) and rename some parameter names

#### Version 1.0.4
  * add src:// and dest:// path expanding to basic generators
  * raise on missing partial rendering
  * set thin server to debug level, see requests
  * extend bootsrap fixes
  * add headjs hide-* mixins and classes
  * better override path_to_stylesheet instead of hole stylesheet_link_tag method to make action_view_helper work with ehg
  * don’t cache combined result
  * create target dir on copy
  * add missing rubocop dev dependency

#### Version 1.0.3
  * bower target relative from dist folder not from dist/scripts folder
  * optimize rack for local pagespeed testing
  * fix directory listening
  * add Rack::ShowExceptions
  * project.uri_path retuns now relative paths

#### Version 1.0.2
  * fix generate all `ehg -g`
  * refactor rack app, use thin server
  * implement ehg as rack middleware

#### Version 1.0.1
  * setup instructions
  * travis integration
  * code coverage
  * rubocop rake task


# Authors

- [Tom Hanoldt](https://github.com/monotom)
- [Alexander Illmayer](https://github.com/arecords)
- It is based on: [EasyHtmlCreator](https://github.com/dennisvandehoef/easy-html-creator) which was the fundament [Dennis van de Hoef](https://github.com/dennisvandehoef) and me developed on.
