# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'easy_html_generator/version'

Gem::Specification.new do |spec|
  spec.name        = 'easy_html_generator'
  spec.version     = EasyHtmlGenerator::VERSION
  spec.licenses    = 'MIT'
  spec.authors     = ["Tom Hanoldt", "Alex Illmayer"]

  spec.summary     = "This gem is a powerful and easy to use web development tool that helps developing modern web sites by generating static html pages."
  spec.description = "This gem is a powerful and easy to use web development tool that helps developing modern web sites by generating static html pages.
    It uses CoffeScript, Sass, Haml, Bootstrap, HeadJs, Bower, Grunt, Google Anlaytics and minimizes coffee-, javascript-, sass-, css-, png- and image-files."

  spec.email       = ['monotom@gmail.com']
  spec.files       = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(spec)/}) }
  spec.homepage    = 'https://github.com/creative-workflow/easy-html-generator'

  spec.executables = ["ehg"]

  spec.required_ruby_version = '>= 2.0.0'

  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }

  spec.require_paths = ["lib", "src/shared/lib"]

  spec.add_runtime_dependency 'rack'
  spec.add_runtime_dependency 'thin'
  spec.add_runtime_dependency 'rack-contrib'
  spec.add_runtime_dependency 'shotgun'
  spec.add_runtime_dependency 'haml'
  spec.add_runtime_dependency 'sass'
  spec.add_runtime_dependency 'coffee-script'
  spec.add_runtime_dependency 'bootstrap-sass'
  spec.add_runtime_dependency 'actionview'
  spec.add_runtime_dependency 'cssminify'
  spec.add_runtime_dependency 'uglifier'
  spec.add_runtime_dependency 'htmlcompressor'
  spec.add_runtime_dependency 'colorize'
  spec.add_runtime_dependency 'piet'
  spec.add_runtime_dependency 'piet-binary'
  spec.add_runtime_dependency 'xml-sitemap'

  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'simplecov'
  spec.add_development_dependency 'rack-test'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'bundler'
  #spec.add_development_dependency 'ruby-prof'
end
